Bug 1567645 - [abrt] setroubleshoot: get(): proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)
Summary: [abrt] setroubleshoot: get(): proxy.py:47:get:GLib.GError: g-dbus-error-quark...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:efadb472438bc5ef7fae4a0f8dd...
: 1541607 1551342 1563795 1565016 1567668 1575090 1576606 1577441 1581352 1609467 1615105 1633554 1634821 1653850 1655517 1693556 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 18:12 UTC by bugzilla@softskills.nl
Modified: 2020-02-05 04:05 UTC (History)
93 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:07:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (820 bytes, text/plain)
2018-04-15 18:12 UTC, bugzilla@softskills.nl
no flags Details
File: cgroup (331 bytes, text/plain)
2018-04-15 18:12 UTC, bugzilla@softskills.nl
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-04-15 18:12 UTC, bugzilla@softskills.nl
no flags Details
File: environ (3.66 KB, text/plain)
2018-04-15 18:12 UTC, bugzilla@softskills.nl
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-04-15 18:12 UTC, bugzilla@softskills.nl
no flags Details
File: namespaces (129 bytes, text/plain)
2018-04-15 18:12 UTC, bugzilla@softskills.nl
no flags Details
File: open_fds (1.03 KB, text/plain)
2018-04-15 18:12 UTC, bugzilla@softskills.nl
no flags Details

Description bugzilla@softskills.nl 2018-04-15 18:12:13 UTC
Description of problem:
selinux trouble shooter does nt start up 
this is XX-th time i do report this bug... 

Version-Release number of selected component:
setroubleshoot-3.3.17-1.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.1-300.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)

Traceback (most recent call last):
  File "/usr/bin/seapplet", line 164, in <module>
    my = SEApplet()
  File "/usr/bin/seapplet", line 85, in __init__
    '/org/fedoraproject/Setroubleshootd'
  File "/usr/lib/python3.6/site-packages/pydbus/proxy.py", line 47, in get
    0, timeout_to_glib(timeout), None)
GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)

Local variables in innermost frame:
timeout: None
kwargs: {}
object_path: '/org/fedoraproject/Setroubleshootd'
bus_name: 'org.fedoraproject.Setroubleshootd'
self: <pydbus.bus.Bus object at 0x7f01c0095be0>

Comment 1 bugzilla@softskills.nl 2018-04-15 18:12:19 UTC
Created attachment 1422281 [details]
File: backtrace

Comment 2 bugzilla@softskills.nl 2018-04-15 18:12:20 UTC
Created attachment 1422282 [details]
File: cgroup

Comment 3 bugzilla@softskills.nl 2018-04-15 18:12:22 UTC
Created attachment 1422283 [details]
File: cpuinfo

Comment 4 bugzilla@softskills.nl 2018-04-15 18:12:23 UTC
Created attachment 1422284 [details]
File: environ

Comment 5 bugzilla@softskills.nl 2018-04-15 18:12:25 UTC
Created attachment 1422285 [details]
File: mountinfo

Comment 6 bugzilla@softskills.nl 2018-04-15 18:12:26 UTC
Created attachment 1422286 [details]
File: namespaces

Comment 7 bugzilla@softskills.nl 2018-04-15 18:12:28 UTC
Created attachment 1422287 [details]
File: open_fds

Comment 8 netinbook 2018-05-12 03:00:25 UTC
*** Bug 1577441 has been marked as a duplicate of this bug. ***

Comment 9 Robert van der Stel 2018-05-22 13:55:08 UTC
Similar problem has been detected:

happend during start up

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.9-300.fc28.x86_64
package:        setroubleshoot-3.3.17-1.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)
runlevel:       unknown
type:           Python3
uid:            1000

Comment 10 krishnendu maji 2018-05-22 14:48:59 UTC
*** Bug 1581352 has been marked as a duplicate of this bug. ***

Comment 11 bugzilla@softskills.nl 2018-06-19 09:56:29 UTC
Similar problem has been detected:

at start up. every time. 

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.14-300.fc28.x86_64
package:        setroubleshoot-3.3.17-1.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 12 Jan Ischebeck 2018-06-23 10:49:12 UTC
Similar problem has been detected:

mount gmail in nautilus

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.15-300.fc28.x86_64
package:        setroubleshoot-3.3.17-1.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 13 jaroslaw.graul+bugzilla 2018-07-28 07:29:38 UTC
*** Bug 1609467 has been marked as a duplicate of this bug. ***

Comment 14 alos2058 2018-08-07 20:14:13 UTC
Similar problem has been detected:

This issue happened right after Fedora 28 was installed. 

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.6-1.fc28.x86_64
kernel:         4.17.11-200.fc28.x86_64
package:        setroubleshoot-3.3.17-1.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 15 Dimitri Belopopsky 2018-09-13 07:28:13 UTC
Similar problem has been detected:

This happened either during boot or at login.

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.6-1.fc28.x86_64
kernel:         4.18.5-200.fc28.x86_64
package:        setroubleshoot-3.3.17-1.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 16 Eduardo Villagrán Morales 2018-10-26 01:08:41 UTC
Similar problem has been detected:

start a gnome session

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.6-1.fc28.x86_64
kernel:         4.18.13-200.fc28.x86_64
package:        setroubleshoot-3.3.17-1.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 17 tsroeirl 2018-11-04 08:53:28 UTC
Similar problem has been detected:

I just automatically logged in to GNOME shell after boot

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.6-1.fc28.x86_64
kernel:         4.18.16-200.fc28.x86_64
package:        setroubleshoot-3.3.17-1.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 18 Martin Leroy 2018-11-27 18:17:49 UTC
*** Bug 1653850 has been marked as a duplicate of this bug. ***

Comment 19 Vit Mojzis 2018-11-28 15:58:17 UTC
*** Bug 1541607 has been marked as a duplicate of this bug. ***

Comment 20 Vit Mojzis 2018-11-28 15:59:21 UTC
*** Bug 1563795 has been marked as a duplicate of this bug. ***

Comment 21 Vit Mojzis 2018-11-28 15:59:24 UTC
*** Bug 1551342 has been marked as a duplicate of this bug. ***

Comment 22 Vit Mojzis 2018-11-28 15:59:45 UTC
*** Bug 1565016 has been marked as a duplicate of this bug. ***

Comment 23 Vit Mojzis 2018-11-28 16:00:50 UTC
*** Bug 1567668 has been marked as a duplicate of this bug. ***

Comment 24 Vit Mojzis 2018-11-28 16:00:59 UTC
*** Bug 1575090 has been marked as a duplicate of this bug. ***

Comment 25 Vit Mojzis 2018-11-28 16:01:09 UTC
*** Bug 1576606 has been marked as a duplicate of this bug. ***

Comment 26 Vit Mojzis 2018-11-28 16:01:40 UTC
*** Bug 1615105 has been marked as a duplicate of this bug. ***

Comment 27 Vit Mojzis 2018-11-28 16:01:42 UTC
*** Bug 1633554 has been marked as a duplicate of this bug. ***

Comment 28 Vit Mojzis 2018-11-28 16:01:43 UTC
*** Bug 1634821 has been marked as a duplicate of this bug. ***

Comment 29 Peter Greenwood 2018-12-02 20:25:57 UTC
Similar problem has been detected:

Occurred following update (which fwiw included a kernel update to kernel-4.19.5-300.fc29.x86_64) and reboot

reporter:       libreport-2.9.6
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
kernel:         4.19.5-300.fc29.x86_64
package:        setroubleshoot-3.3.18-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1002

Comment 30 Alexander Bartel 2018-12-03 11:13:02 UTC
*** Bug 1655517 has been marked as a duplicate of this bug. ***

Comment 31 Andrea Vai 2018-12-10 07:35:21 UTC
Similar problem has been detected:

I have logged on and the error popped up

reporter:       libreport-2.9.5
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
kernel:         4.19.5-200.fc28.x86_64
package:        setroubleshoot-3.3.17-1.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 32 vladlen.lerner 2018-12-25 19:32:53 UTC
Similar problem has been detected:

Problem occured, when I watched online video with Firefox in full-screen mode. Suddenly screen became frozen, so I rebooted my PC manually. This problem occured several times. This problem occured after I upgrade my OS to 29 version.

reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.10-300.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 33 Matt Fagnani 2018-12-26 03:49:04 UTC
Similar problem has been detected:

The error occurs when logging into Plasma and seapplet is autorun maybe using dbus from 
/etc/xdg/autostart/sealertauto.desktop. The error looks like setroubleshootd is timing out after 25 s. 
The error looks to have started when I upgraded to F29 on Oct 10 and occurred 52 times since then.

journalctl -b -g Setroubleshoot showed

Dec 25 21:03:53 dimension dbus-daemon[701]: [system] Activating service name='org.fedoraproject.Setroubleshootd' requested by ':1.134' (uid=1000 pid=1431 comm="/usr/bin/python3 /usr/bin/seapplet " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023") (using servicehelper)
Dec 25 21:04:18 dimension dbus-daemon[701]: [system] Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms)

reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.0-9.fc29.i686
kernel:         4.18.12-300.fc29.i686
package:        setroubleshoot-3.3.18-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 34 Valentin Diard 2019-01-05 17:29:00 UTC
Similar problem has been detected:

Very likely caused by a bug in a sub process to Unreal Engine 4.21.1.

From my side, I will try to reproduce this crash for gathering more data on this crash.

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.7-2.fc28.x86_64
kernel:         4.19.13-200.fc28.x86_64
package:        setroubleshoot-3.3.19-1.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 35 wohlschied 2019-01-20 02:40:25 UTC
Similar problem has been detected:

This error popped up after I logged into my install of Fedora Mate Respin 29. 

reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-1.fc29.x86_64
kernel:         4.19.15-300.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 36 hospam 2019-02-03 16:18:57 UTC
Similar problem has been detected:

problem occurred upon boot up after system started but before all startup programs had finished (evolution).  I haven't had this problem until I upgraded to Fedora 28 but this is the firt time I've seen it

reporter:       libreport-2.9.5
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
kernel:         4.20.5-100.fc28.x86_64
package:        setroubleshoot-3.3.19-2.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       unknown
type:           Python3
uid:            1001

Comment 37 juber 2019-02-04 17:09:13 UTC
Similar problem has been detected:

I'm not sure on reproduction steps as this seems an intermittent behaviour. Basically the error is happening on a T440s lenovo.
Close the lid for a while and when reopening the fan goes balistic and nothing happens on the screen.

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.8-1.fc28.x86_64
kernel:         4.19.15-200.fc28.x86_64
package:        setroubleshoot-3.3.19-2.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 38 Warren Lewis 2019-02-07 22:47:39 UTC
Similar problem has been detected:

Problem occured immediatly after log in to Gnome,

reporter:       libreport-2.9.7
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
kernel:         4.20.5-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 39 Ger van Dijck 2019-02-12 10:42:54 UTC
Similar problem has been detected:

I booted the system and this message occured

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-4.fc29.i686
kernel:         4.20.6-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 40 Ger van Dijck 2019-02-22 13:13:27 UTC
Similar problem has been detected:

booting the system and running dnfdragora

reporter:       libreport-2.10.0
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
kernel:         4.20.10-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 41 Darryl B 2019-03-18 14:32:43 UTC
Similar problem has been detected:

On boot it just happened

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-4.fc29.x86_64
kernel:         4.20.14-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (4)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 42 David Ford 2019-03-22 21:03:09 UTC
Similar problem has been detected:

on start up

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-4.fc29.x86_64
kernel:         4.20.13-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            500

Comment 43 Gabriel Ramirez 2019-03-23 20:19:51 UTC
installing libyui-mga-ncurses and its dependencies resolved the problem for me in Fedora 29.
can someone verify that?

Comment 44 saaprb 2019-03-28 07:28:27 UTC
*** Bug 1693556 has been marked as a duplicate of this bug. ***

Comment 45 Aidin Alihodzic 2019-03-28 08:20:47 UTC
Similar problem has been detected:

after update and reboot

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.3-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 46 juampa 2019-04-02 20:59:19 UTC
Similar problem has been detected:

This error happens when logging into GNOME from gdm display manager. 
I don't know what's the problem or what generates it.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.4-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 47 juampa 2019-04-03 00:37:28 UTC
Similar problem has been detected:

The error happens immediately after logging into GNOME with GDM display manager.
I don't know what could cause it.
Regards.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.5-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 48 anper1979 2019-04-03 18:31:12 UTC
Similar problem has been detected:

login and send  "echo y | sudo dnf upgrade --refresh" in terminal

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.4-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 49 anper1979 2019-04-03 19:14:03 UTC
Similar problem has been detected:

login in the OS.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.5-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 50 Bill Gianopoulos 2019-04-03 19:37:37 UTC
Try doing a

  sudo touch /.autorelabel
  sudo reboot

Comment 51 Bill Gianopoulos 2019-04-03 19:40:04 UTC
I don't think it recovers well from getting a selinux block while processing a previous selinux violation.

Comment 52 Jeffrey L. Susanj 2019-04-03 23:06:04 UTC
Similar problem has been detected:

I had just booted the machine and signed in to a standard account.  The message immediately appeard.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.4-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 53 anper1979 2019-04-04 18:21:39 UTC
Similar problem has been detected:

login in operating system.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.5-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 54 tomas 2019-04-09 10:58:17 UTC
Similar problem has been detected:

in the time afterthe start of system.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.6-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 55 Warren Lewis 2019-04-14 04:41:26 UTC
Similar problem has been detected:

This problem happens right after login to a Gnome session.  

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.5-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 56 todd_lewis 2019-04-15 11:33:11 UTC
Similar problem has been detected:

Was just booting up, logging in. I hadn't touched anything yet.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.3-1.fc29.x86_64
kernel:         5.0.7-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            12428

Comment 57 William Voyek 2019-04-16 17:46:31 UTC
Similar problem has been detected:

At first boot upon installation of Fedora Cinnamon 29 reeceived error notification.

reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.0-9.fc29.x86_64
kernel:         4.18.16-300.fc29.x86_64
package:        setroubleshoot-3.3.18-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 58 Andrea Musuruane 2019-04-18 18:35:53 UTC
Similar problem has been detected:

It happens just after loggin in.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.5-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 59 Geo 2019-04-19 03:36:33 UTC
Similar problem has been detected:

Happens on every boot-up before any other applications are started. Error appears about 15 seconds after boot-up completes.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.3-1.fc29.x86_64
kernel:         5.0.7-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 60 GeoffLeach 2019-04-22 04:44:34 UTC
Tested with Fedora 30 beta. Problem does not occur.

Comment 61 Geo 2019-04-26 20:16:43 UTC
Similar problem has been detected:

Happens very soon after boot-up and before any other applications are started.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.3-1.fc29.x86_64
kernel:         5.0.7-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 62 steubens 2019-04-26 20:53:55 UTC
are you using btrfs?

found out recently that fragmentation can get bad enough that not running for 25 seconds is common

Comment 63 Robert Hinson 2019-04-27 11:49:01 UTC
No, using whatever is used on a fresh install. Which is LVM and ext4.

Comment 64 Ben Cotton 2019-05-02 19:23:15 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 65 Andrea Vai 2019-05-07 06:44:02 UTC
(In reply to Ben Cotton from comment #64)
> This message is a reminder that Fedora 28 is nearing its end of life.
> On 2019-May-28 Fedora will stop maintaining and issuing updates for
> Fedora 28. It is Fedora's policy to close all bug reports from releases
> that are no longer maintained. At that time this bug will be closed as
> EOL if it remains open with a Fedora 'version' of '28'.

As the bug also affects Fedora 29, I thought that changing the "Version" field (28 into 29) was the correct thing to do, but I can't. Can anyone change it (or explain me how to do it) or should we file a new bug?

Comment 66 robert fairbrother 2019-05-28 08:10:26 UTC
Similar problem has been detected:

this bug happened a second before
https://bugzilla.redhat.com/show_bug.cgi?id=1713998

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.3-1.fc29.x86_64
kernel:         5.0.17-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 67 John Dodson 2019-06-06 13:41:58 UTC
Similar problem has been detected:

Rebooted, logged in! setroubleshoot quit unexpectedly - Why oh Why?

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.3-3.fc29.x86_64
kernel:         5.0.19-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 68 toover 2019-06-07 13:43:17 UTC
Similar problem has been detected:

Appeared at start-up

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.3-3.fc29.x86_64
kernel:         5.0.19-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 69 humberto 2019-06-13 23:44:48 UTC
Similar problem has been detected:

Close it Gnome!

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.8-3.fc28.x86_64
kernel:         5.0.7-100.fc28.x86_64
package:        setroubleshoot-3.3.19-2.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 70 lewishyu 2019-07-01 05:54:36 UTC
Similar problem has been detected:

Use Chrome Extension: Line 

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.3-3.fc29.x86_64
kernel:         5.1.6-200.fc29.x86_64
package:        setroubleshoot-3.3.19-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 71 Thedemon007 2019-08-21 04:14:41 UTC
Similar problem has been detected:

when starting the operating system

reporter:       libreport-2.10.1
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.4-1.fc29.x86_64
kernel:         5.2.7-100.fc29.x86_64
package:        setroubleshoot-3.3.20-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 72 Jose Luis 2019-09-02 11:30:57 UTC
Similar problem has been detected:

Se da al iniciar el equipo, antes de cualquier acción el mensaje de error aparece

reporter:       libreport-2.10.1
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.7.4-1.fc29.x86_64
kernel:         5.2.7-100.fc29.x86_64
package:        setroubleshoot-3.3.20-1.fc29
reason:         proxy.py:47:get:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 73 Ben Cotton 2019-10-31 18:53:01 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 74 Gabriel 2019-11-01 14:14:35 UTC
Similar problem has been detected:

It happened just after looging by the first time after the boot. 

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/seapplet
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/seapplet
interpreter:    python3-3.6.8-3.fc28.x86_64
kernel:         5.0.16-100.fc28.x86_64
package:        setroubleshoot-3.3.19-2.fc28
reason:         proxy.py:47:get:GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.fedoraproject.Setroubleshootd': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 75 Ben Cotton 2019-11-27 18:07:04 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.